org.eclipse.incquery.runtime.rete.index

## Class MemoryIdentityIndexer

- java.lang.Object
- - org.eclipse.incquery.runtime.rete.network.BaseNode
  - - org.eclipse.incquery.runtime.rete.index.StandardIndexer
    - - org.eclipse.incquery.runtime.rete.index.SpecializedProjectionIndexer
      - - org.eclipse.incquery.runtime.rete.index.IdentityIndexer
        - - org.eclipse.incquery.runtime.rete.index.MemoryIdentityIndexer

- All Implemented Interfaces:
    java.lang.Iterable<Tuple>, Indexer, IterableIndexer, ProjectionIndexer, Node

      public class MemoryIdentityIndexer
      extends IdentityIndexer

  Defines a trivial indexer that identically projects the contents of a memory-equipped node, and can therefore save space. Can only exist in connection with a memory, and must be operated by another node. Do not attach parents directly!
  Author:
    Gabor Bergmann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryIdentityIndexer(ReteContainer reteContainer, int tupleWidth, java.util.Collection<Tuple> memory, Supplier parent, Receiver activeNode)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.index.IdentityIndexer

      `get, getSignatures, iterator, propagate`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.index.SpecializedProjectionIndexer

      `getActiveNode`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.index.StandardIndexer

      `assignTraceInfo, attachListener, detachListener, getContainer, getListeners, getMask, getParent`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getNodeId, getTag, getTraceInfos, setTag, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.index.Indexer

      `attachListener, detachListener, getListeners, getMask, getParent`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, assignTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### MemoryIdentityIndexer

          public MemoryIdentityIndexer(ReteContainer reteContainer,
                                       int tupleWidth,
                                       java.util.Collection<Tuple> memory,
                                       Supplier parent,
                                       Receiver activeNode)

      Parameters:
        `reteContainer` -
        `tupleWidth` - the width of the tuples of memoryNode
        `memory` - the memory whose contents are to be identity-indexed
        `parent` - the parent node that owns the memory